package com.example.shelby.healthquest40;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.EditText;
import android.widget.RadioButton;

public class DailyChallenge extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_daily_challenge);
    }

    public void setDailyChallenge(View view) {
        /***********************************
         * INITIALIZING SHARED PREFERENCES *
         ***********************************/
        SharedPreferences myPreferences = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        SharedPreferences.Editor myEditor = myPreferences.edit();

        /*************************************************
         * INITIALIZING RADIO BUTTONS & EDITTEXT WIDGETS *
         *************************************************/
        RadioButton steps = (RadioButton) findViewById(R.id.stepsbtn);
        RadioButton miles = (RadioButton) findViewById(R.id.milesbtn);

        EditText nums = (EditText) findViewById(R.id.numberinput);

        /******************************
         * IDENTIFYING MILES VS STEPS *
         ******************************/
        if (steps.isChecked()) {
            myEditor.putInt("MEDIUM", 0);
            myEditor.commit();
        } else if (miles.isChecked()) {
            myEditor.putInt("MEDIUM", 1);
            myEditor.commit();
        }

        /*****************************************************************
         * SET OBTAINED BOOLEAN TO FALSE & SET THE NUMBER TO BE ACHIEVED *
         *****************************************************************/
        myEditor.putBoolean("EXP_RECEIVED", false);
        myEditor.putInt("QUANTITY", Integer.parseInt(String.valueOf(nums.getText())));
        myEditor.commit();

        /****************************
         * GO BACK TO MAIN ACTIVITY *
         ****************************/
        Intent intent = new Intent(this, MainActivity.class);
        startActivity(intent);
    }

}