package com.example.shelby.healthquest40;

import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.EditText;

public class Naming extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_naming);

        /***********************************
         * INITIALIZING SHARED PREFERENCES *
         ***********************************/
        SharedPreferences sharedPrefs = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());

        /**********************
         * ALREADY BEEN NAMED *
         **********************/
        if (sharedPrefs.contains("USERNAME")) {
            Intent intent = new Intent(this, MainActivity.class);
            startActivityForResult(intent, 1);
        }

    }

    public void setusername (View view) {
        /****************************************************************
         * setusername is called when the user presses the confirmation *
         * button on the Naming screen. It takes what the user typed    *
         * in the TextEditor and puts that into the SharedPreference    *
         * "USERNAME" so that it can be used throughout the app.        *
         ****************************************************************/
        /*********************************
         * INITIALIZE SHARED PREFERENCES *
         *********************************/
        SharedPreferences sharedPrefs = PreferenceManager.getDefaultSharedPreferences(getApplicationContext());
        SharedPreferences.Editor myEditor = sharedPrefs.edit();

        /****************************
         * IDENTIFY EDITTEXT WIDGET *
         ****************************/
        EditText username_entry = (EditText) findViewById(R.id.editText);

        /**************************************
         * PUT STRING INTO SHARED PREFERENCES *
         **************************************/
        myEditor.putString("USERNAME", username_entry.getText().toString());
        myEditor.commit();

        /*************************
         * RESTART MAIN ACTIVITY *
         *************************/
        Intent intent = new Intent(this, MainActivity.class);
        startActivityForResult(intent, 1);
        finish();
    }

}
